You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1422.1.8, 2003-11-13 01:13:20-02:00, acme@conectiva.com.br
  LLC: use sk_wait_data
  
  That is basicaly an enhanced version of llc_ui_wait_for_data :-)


 af_llc.c |   28 ++--------------------------
 1 files changed, 2 insertions(+), 26 deletions(-)


diff -Nru a/net/llc/af_llc.c b/net/llc/af_llc.c
--- a/net/llc/af_llc.c	Sat Nov 15 17:01:44 2003
+++ b/net/llc/af_llc.c	Sat Nov 15 17:01:44 2003
@@ -38,7 +38,6 @@
 
 static int llc_ui_wait_for_conn(struct sock *sk, long timeout);
 static int llc_ui_wait_for_disc(struct sock *sk, long timeout);
-static int llc_ui_wait_for_data(struct sock *sk, long timeout);
 static int llc_ui_wait_for_busy_core(struct sock *sk, long timeout);
 
 #if 0
@@ -515,29 +514,6 @@
 	return timeout;
 }
 
-static int llc_ui_wait_for_data(struct sock *sk, long timeout)
-{
-	DEFINE_WAIT(wait);
-	int rc = 0;
-
-	while (1) {
-		prepare_to_wait(sk->sk_sleep, &wait, TASK_INTERRUPTIBLE);
-		if (sk_wait_event(sk, &timeout,
-				  (sk->sk_shutdown & RCV_SHUTDOWN) ||
-				  (!skb_queue_empty(&sk->sk_receive_queue))))
-			break;
-		rc = -ERESTARTSYS;
-		if (signal_pending(current))
-			break;
-		rc = -EAGAIN;
-		if (!timeout)
-			break;
-		rc = 0;
-	}
-	finish_wait(sk->sk_sleep, &wait);
-	return rc;
-}
-
 static int llc_ui_wait_for_busy_core(struct sock *sk, long timeout)
 {
 	DEFINE_WAIT(wait);
@@ -590,7 +566,7 @@
 		goto out;
 	/* wait for a connection to arrive. */
 	if (skb_queue_empty(&sk->sk_receive_queue)) {
-		rc = llc_ui_wait_for_data(sk, sk->sk_rcvtimeo);
+		rc = sk_wait_data(sk, sk->sk_rcvtimeo);
 		if (rc)
 			goto out;
 	}
@@ -649,7 +625,7 @@
 		llc_sk(sk)->laddr.lsap, llc_sk(sk)->daddr.lsap);
 	lock_sock(sk);
 	if (skb_queue_empty(&sk->sk_receive_queue)) {
-		rc = llc_ui_wait_for_data(sk, sock_rcvtimeo(sk, noblock));
+		rc = sk_wait_data(sk, sock_rcvtimeo(sk, noblock));
 		if (rc)
 			goto out;
 	}

===================================================================


This BitKeeper patch contains the following changesets:
1.1422.1.8
## Wrapped with gzip_uu ##


M'XL( !AXMC\  ]5438_3,! ]Q[]BI+U001*/'><+=;70H@51B:JPY\IU71JU
MB5'B=K52?CQ.(HI:%E:@O9 X&64\\V;&[RE7<-?H.O>D*C6Y@O>FL;FG3*65
M+8XR4*8,5K7;6!CC-L*M*778Q8:K'0LK;7T6Q $2%S&75FWAJ.LF]S#@)X]]
M^*9S;_'N]F[V9D'(> R3K:R^ZL_:PGA,K*F/<K]N;J3=[DT5V%I63:EM7[L]
MA;:,4N9N@0FG(FXQIE'2*EPCR@CUFK(HC2/2M79SV?XY"D=$WKU%U&(DTH1,
M 0.,& LP2('R$#%$#A1SY#FC/F4YI? H,KQ$\"EY"\\[Q80HF,TF.1P:#<UN
M>2\+NUQ+*YW?K2];::%H8"6;0LG] \@*=.5J*+WN"2A,!68#^[U:'HHA>V/J
M'@%R?T0^@AL\$V3^DPKB_^5%")647#]^+JU31NC*=\^R,6H7J&%TP9%R+EC4
M<I[$HN5IEC"F,$K%*M-:/P$G-TMG!K ?/#*1M3Q+4M%KZS*RD]CSMO@$W&6+
M#(7#2UM,,Q'U4HN3<Y&Q7&1_%AD#G\7_H<H&6CZ!7]_WRZEF_@M#_Z"\:82 
M9"HP!<:=S;C[_# 8SZL=Z6?SO&AVKYS#OW;.6AUM46HS>DVFL6!=WF!^F^>D
E<<KJ/959[9USY"!./SFUU6K7',KQ2J[C)$YC\AT$.>MS604     
 
